# Class SHTMLEditorKit.SHTMLFactory

java.lang.Object
javax.swing.text.html.HTMLEditorKit.HTMLFactory
com.lightdev.app.shtm.SHTMLEditorKit.SHTMLFactory

All Implemented Interfaces:
  `ViewFactory`

Enclosing class:
  `SHTMLEditorKit`

public static class SHTMLEditorKit.SHTMLFactory extends HTMLEditorKit.HTMLFactory implements ViewFactory

## Constructor Summary

Constructors
Constructor
Description
`SHTMLFactory()`

## Method Summary

Modifier and Type
Method
Description
`View`
`create(Element elem)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SHTMLFactory

public SHTMLFactory()

## Method Details

### create

public View create(Element elem)

Specified by:
  `create` in interface `ViewFactory`
Overrides:
  `create` in class `HTMLEditorKit.HTMLFactory`